Skip to main content
POST
/
di
/
import
{
  "valid": true,
  "title": "<string>",
  "detail": "<string>",
  "results": [
    {
      "type": "<string>",
      "identifier": "<string>",
      "decision": "<string>",
      "action": "<string>",
      "relationships": [
        {
          "relation": "<string>",
          "node": {
            "identifier": "<string>",
            "type": "<string>"
          },
          "paths": [
            "<string>"
          ]
        }
      ],
      "violations": [
        {
          "propertyPath": "<string>",
          "title": "<string>",
          "titleTemplate": "<string>",
          "parameters": {},
          "type": "<string>",
          "helpText": "<string>"
        }
      ]
    }
  ]
}

Query Parameters

validate-variables
boolean
default:false

Enable validation of variables.

dry-run
boolean
default:false

Only validate and check whether configurations already exist.

space
string

Space Identifier

Body

type
required
Pattern: ^[a-zA-Z_\x7f-\xff][a-zA-Z0-9_\x7f-\xff\\]*[a-zA-Z0-9_\x7f-\xff]+$
identifier
string
required
Minimum string length: 2
Pattern: ^[a-z0-9]+[a-z0-9\-]*[a-z0-9]+$
name
string
required
object
object
required
description
string

Response

Imported object configurations

valid
boolean
title
string
detail
string
results
object[]